## org.eclipse.datatools.sqltools.sqlbuilder.views.select
Class SelectTableElement

    java.lang.Object
      org.eclipse.datatools.sqltools.sqlbuilder.views.select.SelectTableElement

    public class SelectTableElement

extends java.lang.Object

SelectTableElement is applicable for select statement

Constructor Summary
`SelectTableElement(SQLDomainModel domainModel, java.lang.Object target, OrderByValueExpression orderCol)`
`SelectTableElement(SQLDomainModel domainModel, java.lang.Object target, ResultColumn resultCol)`

Method Summary
`java.lang.Object` `getColumn()`
`java.lang.String` `getColumnText(int columnIndex)` Get the mof value and return it
`SQLQueryObject` `getSelectStatement()` Get the QuerySelectStatement that contains this table element
`QueryValueExpression` `getSQLExpression()` Get the QueryValueExpression that corresponds to this table element
`java.lang.Object` `getTarget()`
`boolean` `hasColumn()`
`void` `modify(java.lang.Object key, java.lang.Object propValue)` Set the model object from the grid value
`QueryValueExpression` `showExpressionBuilder(java.lang.Object key, boolean isColumn, java.lang.String sProperty)` Launch the expression builder

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### SelectTableElement

    public SelectTableElement(SQLDomainModel domainModel,
                              java.lang.Object target,
                              ResultColumn resultCol)

Parameters:
  `target` - - a select statement
  `insertValue` - - a select column

### SelectTableElement

    public SelectTableElement(SQLDomainModel domainModel,
                              java.lang.Object target,
                              OrderByValueExpression orderCol)

Parameters:
  `target` - - a select statement
  `insertValue` - - a select column

Method Detail

### getColumn

    public java.lang.Object getColumn()

### getTarget

    public java.lang.Object getTarget()

### getSelectStatement

    public SQLQueryObject getSelectStatement()

  Get the QuerySelectStatement that contains this table element

### getSQLExpression

    public QueryValueExpression getSQLExpression()

  Get the QueryValueExpression that corresponds to this table element

### showExpressionBuilder

    public QueryValueExpression showExpressionBuilder(java.lang.Object key,
                                                      boolean isColumn,
                                                      java.lang.String sProperty)

  Launch the expression builder

### modify

    public void modify(java.lang.Object key,
                       java.lang.Object propValue)

  Set the model object from the grid value

### getColumnText

    public java.lang.String getColumnText(int columnIndex)

  Get the mof value and return it

### hasColumn

    public boolean hasColumn()